> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bash Event

> Get a bash event event given an id



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/conversations/{runtime_conversation_id}/bash/bash_events/{event_id}
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/conversations/{runtime_conversation_id}/bash/bash_events/{event_id}:
    get:
      tags:
        - Bash
      summary: Get Bash Event
      description: Get a bash event event given an id
      operationId: >-
        get_bash_event_api_conversations__runtime_conversation_id__bash_bash_events__event_id__get
      parameters:
        - in: path
          name: event_id
          required: true
          schema:
            title: Event Id
            type: string
        - in: path
          name: runtime_conversation_id
          required: true
          schema:
            format: uuid
            title: Runtime Conversation Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BashEventBase'
          description: Successful Response
        '404':
          description: Item not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    BashEventBase:
      discriminator:
        mapping:
          openhands__agent_server__models__BashCommand-Output__1: '#/components/schemas/BashCommand'
          openhands__agent_server__models__BashError-Output__1: '#/components/schemas/BashError'
          openhands__agent_server__models__BashOutput-Output__1: '#/components/schemas/BashOutput'
        propertyName: kind
      oneOf:
        - $ref: '#/components/schemas/BashCommand'
        - $ref: '#/components/schemas/BashError'
        - $ref: '#/components/schemas/BashOutput'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    BashCommand:
      properties:
        command:
          description: The bash command to execute
          title: Command
          type: string
        cwd:
          anyOf:
            - type: string
            - type: 'null'
          description: The current working directory
          title: Cwd
        id:
          title: Id
          type: string
        kind:
          const: BashCommand
          title: Kind
          type: string
        timeout:
          default: 300
          description: The max number of seconds a command may be permitted to run.
          title: Timeout
          type: integer
        timestamp:
          format: date-time
          title: Timestamp
          type: string
      required:
        - command
        - kind
      title: BashCommand
      type: object
    BashError:
      properties:
        code:
          description: Code for the error - typically an error type
          title: Code
          type: string
        detail:
          description: Details about the error
          title: Detail
          type: string
        id:
          title: Id
          type: string
        kind:
          const: BashError
          title: Kind
          type: string
        timestamp:
          format: date-time
          title: Timestamp
          type: string
      required:
        - code
        - detail
        - kind
      title: BashError
      type: object
    BashOutput:
      description: >-
        Output of a bash command. A single command may have multiple pieces of
        output

        depending on how large the output is.
      properties:
        command_id:
          title: Command Id
          type: string
        exit_code:
          anyOf:
            - type: integer
            - type: 'null'
          description: Exit code None implies the command is still running.
          title: Exit Code
        id:
          title: Id
          type: string
        kind:
          const: BashOutput
          title: Kind
          type: string
        order:
          default: 0
          description: The order for this output, sequentially starting with 0
          title: Order
          type: integer
        stderr:
          anyOf:
            - type: string
            - type: 'null'
          description: The error output from the command
          title: Stderr
        stdout:
          anyOf:
            - type: string
            - type: 'null'
          description: The standard output from the command
          title: Stdout
        timestamp:
          format: date-time
          title: Timestamp
          type: string
      required:
        - command_id
        - kind
      title: BashOutput
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.